This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 135392 - rhn-applet crashes on startup
rhn-applet crashes on startup
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rhn-applet (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Adrian Likins
Max Spevack
:
Depends On:
Blocks: 131623
  Show dependency treegraph
 
Reported: 2004-10-12 10:13 EDT by Max Spevack
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-21 15:48:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Max Spevack 2004-10-12 10:13:16 EDT
Description of problem:
If you run rhn-applet-gui, it crashes

[root@dhcp59-201 firstboot]# rhn-applet-gui
Traceback (most recent call last):
  File "/usr/bin/rhn-applet-gui", line 30, in ?
    import rhn_applet
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 101, in ?
    class rhnApplet:
  File "/usr/bin/../share/rhn/rhn_applet/rhn_applet.py", line 286, in
rhnApplet
    def enable_refresh_timer(self, when = REFRESH_INTERVAL * 1000,
force = 0):
NameError: name 'REFRESH_INTERVAL' is not defined


Version-Release number of selected component (if applicable):
2.1.13

How reproducible:
always

Steps to Reproduce:
1.  see desc
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Max Spevack 2004-10-12 11:26:24 EDT
Line 286 of rhn_applet.py should be REMIND_INTERVAL not REFRESH_INTERVAL

Making this change in the code myself allows the applet to run.
Comment 2 Adrian Likins 2004-10-12 12:27:56 EDT
rhn-applet-2.1.14 fixes this
Comment 3 Max Spevack 2004-10-14 18:12:56 EDT
This is fixed.  QA_READY
Comment 4 Jay Turner 2004-11-26 04:35:01 EST
Fix confirmed with 2.1.18-4.  REFRESH_INTERVAL is defined as 60, which
means that the applet will refresh about once every 16 minutes.
Comment 5 John Flanagan 2004-12-21 15:48:55 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-582.html

Note You need to log in before you can comment on or make changes to this bug.